PETSc version 3.15.5
Fix/Edit manual page

# DMNetworkAddSharedVertices

Add shared vertices that connect two given subnetworks

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkAddSharedVertices(DM dm,PetscInt anetnum,PetscInt bnetnum,PetscInt nsvtx,PetscInt asvtx[],PetscInt bsvtx[])

Collective on dm

### Input Parameters

| dm | - the dm object
| anetnum | - first subnetwork global numbering returned by DMNetworkAddSubnetwork()
| bnetnum | - second subnetwork global numbering returned by DMNetworkAddSubnetwork()
| nsvtx | - number of vertices that are shared by the two subnetworks
| asvtx | - vertex index in the first subnetwork
| bsvtx | - vertex index in the second subnetwork

### See Also

DMNetworkCreate(), DMNetworkAddSubnetwork(), DMNetworkGetSharedVertices()

### Level

beginner

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages